Home

# Class goog.graphics.ext.Graphics

Wrapper for a graphics surface.

extends goog.graphics.ext.Group

Instance Method Summary
| `getCoordOrigin() ⇒ ?goog.math.Coordinate`
| `getCoordSize() ⇒ ?goog.math.Size`
| `getElement() ⇒ ?Element`
| `getHeight() ⇒ number`
| `getImplementation() ⇒ ?goog.graphics.AbstractGraphics`
| `getPixelScaleX() ⇒ number`
| `getPixelScaleY() ⇒ number`
| `getPixelSize() ⇒ ?goog.math.Size`
| `getWidth() ⇒ number`
| `redraw()` Called from the parent class, this method resets any pre-computed positions and sizes.
| `render(?Element parentElement)` Renders the underlying graphics.
| `setCoordOrigin(number left, number top)` Changes the coordinate system position.
| `setCoordSize(number coordWidth, number coordHeight)` Changes the coordinate size.
| `setPixelSize(number pixelWidth, number pixelHeight)` Change the size of the canvas.
| `transform()` Never transform a surface.